## nuvdemux nuvdemux — Demultiplex a MythTV NuppleVideo .nuv file into audio and video |

## Synopsis

                        GstNuvDemux;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstNuvDemux

## Description

Demuxes MythTVs NuppelVideo .nuv file into raw or compressed audio and/or video streams.

This element currently only supports pull-based scheduling.

### Example launch line

    1
    gst-launch filesrc test.nuv ! nuvdemux name=demux  demux.audio_00 ! decodebin ! audioconvert ! audioresample ! autoaudiosink   demux.video_00 ! queue ! decodebin ! ffmpegcolorspace ! videoscale ! autovideosink

Play (parse and decode) an .nuv file and try to output it to an automatically detected soundcard and videosink. If the NUV file contains compressed audio or video data, this will only work if you have the right decoder elements/plugins installed.

## Synopsis

### Element Information

plugin | nuvdemux
author | Renato Araujo Oliveira Filho <renato.filho@indt.org.br>,Rosfran Borges <rosfran.borges@indt.org.br>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-nuv

name | audio_src
direction | source
presence | sometimes
details | ANY

name | video_src
direction | source
presence | sometimes
details | ANY

## Details

### GstNuvDemux

    typedef struct _GstNuvDemux GstNuvDemux;

## See Also

mythtvsrc